Package org.zkoss.stateless.sul

## Interface ITablechildren<I extends IAnyGroup>

- All Superinterfaces:
    `IChildable<ITablechildren<I>,​I>`, `IComponent<ITablechildren<I>>`, `IHtmlBasedComponent<ITablechildren<I>>`, `IXulElement<ITablechildren<I>>`

      public interface ITablechildren<I extends IAnyGroup>
      extends IXulElement<ITablechildren<I>>, IChildable<ITablechildren<I>,​I>

  Immutable `Tablechildren` component
  Author:
    katherine
  See Also:
    `Tablechildren`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ITablechildren.Builder<I extends IAnyGroup>` | Builds instances of type `ITablechildren`.
    `static class` | `ITablechildren.Updater` | Builds an updater of type `ITablechildren` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ITablechildren<IAnyGroup>` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `getColspan()` | Returns number of columns to span this header.
    `default int` | `getRowspan()` | Returns number of rows to span this header.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static <I extends IAnyGroup> ITablechildren<I>` | `of​(I... children)` | Returns the instance with the given any group children.
    `static <I extends IAnyGroup> ITablechildren<I>` | `of​(java.lang.Iterable<? extends I> children)` | Returns the instance with the given any group children.
    `static <I extends IAnyGroup> ITablechildren<I>` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `ITablechildren<I>` | `withColspan​(int colspan)` | Returns a copy of `this` immutable component with the specified `colspan`.
    `ITablechildren<I>` | `withRowspan​(int rowspan)` | Returns a copy of `this` immutable component with the specified `rowspan`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final ITablechildren<IAnyGroup> DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkmax.layout.Tablechildren"`

      Specified by:
        `getWidgetClass` in interface `IComponent<I extends IAnyGroup>`

    - #### getColspan

          default int getColspan()

      Returns number of columns to span this header.

      Default: `1`.

    - #### withColspan

          ITablechildren<I> withColspan​(int colspan)

      Returns a copy of `this` immutable component with the specified `colspan`.

      Sets the number of columns to span this header.

      Parameters:
        `colspan` - The number of columns to span this header.

        Default: `1`.

      Returns:
        A modified copy of the `this` object

    - #### getRowspan

          default int getRowspan()

      Returns number of rows to span this header.

      Default: `1`.

    - #### withRowspan

          ITablechildren<I> withRowspan​(int rowspan)

      Returns a copy of `this` immutable component with the specified `rowspan`.

      Sets the number of rows to span this header.

      Parameters:
        `rowspan` - The number of rows to span this header.

        Default: `1`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static <I extends IAnyGroup> ITablechildren<I> of​(java.lang.Iterable<? extends I> children)

      Returns the instance with the given any group children.
      Parameters:
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### of

          static <I extends IAnyGroup> ITablechildren<I> of​(I... children)

      Returns the instance with the given any group children.
      Parameters:
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### ofId

          static <I extends IAnyGroup> ITablechildren<I> ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component